Package com.independentsoft.office.spreadsheet

# Class CustomChartSheetView

java.lang.Object
com.independentsoft.office.spreadsheet.CustomChartSheetView

public class CustomChartSheetView extends Object
The Class CustomChartSheetView.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CustomChartSheetView()`
  Instantiates a new custom chart sheet view.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CustomChartSheetView`
  `clone()`
  `String`
  `getGuid()`
  Gets the guid.
  `HeaderFooterSettings`
  `getHeaderFooterSettings()`
  Gets the header footer settings.
  `PageMargins`
  `getPageMargins()`
  Gets the page margins.
  `ChartSheetPageSetupSettings`
  `getPageSetupSettings()`
  Gets the page setup settings.
  `int`
  `getPrintScale()`
  Gets the prints the scale.
  `SheetVisibilityType`
  `getVisibilityState()`
  Gets the visibility state.
  `boolean`
  `isZoomToFit()`
  Checks if is zoom to fit.
  `void`
  `setGuid​(String guid)`
  Sets the guid.
  `void`
  `setPageMargins​(PageMargins pageMargins)`
  Sets the page margins.
  `void`
  `setPrintScale​(int printScale)`
  Sets the prints the scale.
  `void`
  `setVisibilityState​(SheetVisibilityType visibilityState)`
  Sets the visibility state.
  `void`
  `setZoomToFit​(boolean zoomToFit)`
  Sets the zoom to fit.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CustomChartSheetView

    public CustomChartSheetView()
    Instantiates a new custom chart sheet view.

- ## Method Details

  - ### clone

    public CustomChartSheetView clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getHeaderFooterSettings

    public HeaderFooterSettings getHeaderFooterSettings()
    Gets the header footer settings.
    Returns:
      the header footer settings

  - ### getPageMargins

    public PageMargins getPageMargins()
    Gets the page margins.
    Returns:
      the page margins

  - ### setPageMargins

    public void setPageMargins​(PageMargins pageMargins)
    Sets the page margins.
    Parameters:
      `pageMargins` - the new page margins

  - ### getPageSetupSettings

    public ChartSheetPageSetupSettings getPageSetupSettings()
    Gets the page setup settings.
    Returns:
      the page setup settings

  - ### getGuid

    public String getGuid()
    Gets the guid.
    Returns:
      the guid

  - ### setGuid

    public void setGuid​(String guid)
    Sets the guid.
    Parameters:
      `guid` - the new guid

  - ### getPrintScale

    public int getPrintScale()
    Gets the prints the scale.
    Returns:
      the prints the scale

  - ### setPrintScale

    public void setPrintScale​(int printScale)
    Sets the prints the scale.
    Parameters:
      `printScale` - the new prints the scale

  - ### getVisibilityState

    public SheetVisibilityType getVisibilityState()
    Gets the visibility state.
    Returns:
      the visibility state

  - ### setVisibilityState

    public void setVisibilityState​(SheetVisibilityType visibilityState)
    Sets the visibility state.
    Parameters:
      `visibilityState` - the new visibility state

  - ### isZoomToFit

    public boolean isZoomToFit()
    Checks if is zoom to fit.
    Returns:
      true, if is zoom to fit

  - ### setZoomToFit

    public void setZoomToFit​(boolean zoomToFit)
    Sets the zoom to fit.
    Parameters:
      `zoomToFit` - the new zoom to fit